#[macro_use]
extern crate log as logger;

mod iothub;

use iothub::{IotHubModuleClient};

#[cfg(test)]
mod tests {

    #[test]
    fn initialize_client() {
        let mut client = iothub::IotHubModuleClient::new(|event| { info!("Received event!"); });
        info!("Initialized client");
        client.do_work();
    }
}
